import CaptchaService from "../services/captcha.js";
import jwt from 'jsonwebtoken';

class CaptchaController {
    async submit(req, res) {
        const {image, solution} = req.body;
        if (!image) return res.status(400).send({"message":"You must send image blob"});
        if (!solution || solution.length != 6) return res.status(400).send({"message":"You must send a valid solution"});
        try {
            await CaptchaService.new(image, solution, jwt.decode(req.token).id);
        } catch (e) {
            console.log(`Error upon submitting: ${e}`);
            return res.status(500).send({"message": "Unknown server error. Please, contact the developer."});
        }
        return res.status(200).send({"message": "Success"});
    }
}

export default new CaptchaController();